Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchWindowPulldownDelegate2

All Superinterfaces:
  IActionDelegate, IWorkbenchWindowActionDelegate, IWorkbenchWindowPulldownDelegate

All Known Implementing Classes:
  AbstractLaunchHistoryAction, LaunchAsAction

public interface IWorkbenchWindowPulldownDelegate2
extends IWorkbenchWindowPulldownDelegate

Extension of IWorkbenchWindowPulldownDelegate that allows the delegate dropdown menu to be a child of a Menu item. Necessary for CoolBar support. If a coolbar group of items is not fully displayed, a chevron and a drop down menu will be used to show the group's tool items. Therefore, a getMenu(Menu) method is necessary, since the delegate drop down menu will be a child of the chevron menu item (not the tool control).

Method Summary
`Menu` | `getMenu(Menu parent)` Returns the menu for this pull down action.

Methods inherited from interface org.eclipse.ui.IWorkbenchWindowPulldownDelegate
`getMenu`

Methods inherited from interface org.eclipse.ui.IWorkbenchWindowActionDelegate
`dispose, init`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Method Detail

### getMenu

    public Menu getMenu(Menu parent)

  Returns the menu for this pull down action. This method will only be called if the user opens the pull down menu for the action. Note that it is the responsibility of the implementor to properly dispose of any SWT menus created by this method.

  Returns:
    the menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.